import * as React from 'react';
import tk from 'timekeeper';
import { customRender, PageObjects } from '../../test';
import { CaptionLabel } from './CaptionLabel';
var today = new Date(1979, 8);
var po = new PageObjects(today);
beforeEach(function () { return tk.freeze(today); });
afterEach(function () { return tk.reset(); });
test('should render the formatted display month', function () {
    customRender(React.createElement(CaptionLabel, { displayMonth: today }));
    expect(po.getCaptionLabel(today)).toBeInTheDocument();
});
test('should apply the `caption_label` class name', function () {
    customRender(React.createElement(CaptionLabel, { displayMonth: today }), {
        classNames: { caption_label: 'foo' }
    });
    expect(po.getCaptionLabel(today)).toHaveClass('foo');
});
test('should apply the `caption_label` style', function () {
    customRender(React.createElement(CaptionLabel, { displayMonth: today }), {
        styles: { caption_label: { color: 'red' } }
    });
    expect(po.getCaptionLabel(today)).toHaveStyle({ color: 'red' });
});
//# sourceMappingURL=CaptionLabel.test.js.map