import React from 'react';
import { customRender, PageObjects } from '../../test';
import { Footer } from './Footer';
var po = new PageObjects(new Date());
test('should not render anything as default', function () {
    customRender(React.createElement("table", null,
        React.createElement(Footer, null)));
    expect(po.footer).toBeNull();
});
describe('when using the `footer` prop', function () {
    beforeEach(function () {
        customRender(React.createElement("table", null,
            React.createElement(Footer, null)), { footer: 'footer_foo' });
    });
    test('should render the table footer', function () {
        expect(po.footer).toHaveTextContent('footer_foo');
    });
});
//# sourceMappingURL=Footer.test.js.map